- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists all devices.
HTTP request
GET https://devicerun.googleapis.com/v1alpha/{parent=projects/*/locations/*}/devices
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent of the collection of devices. Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of devices to return. The server may return fewer items than this value. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
filter |
Optional. An AIP-160 (https://google.aip.dev/160) filter expression restricting which devices are returned. An empty filter returns all devices. Filtering is supported over the Examples: * |
Request body
The request body must be empty.
Response body
Response including listed devices.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"devices": [
{
object ( |
| Fields | |
|---|---|
devices[] |
The list of devices. |
nextPageToken |
Token to receive the next page of devices. This will be absent if the end of the response list has been reached. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.